<p align="center">
	<a href="https://www.tcgdex.net">
		<img src="https://repository-images.githubusercontent.com/241652591/01dd7200-ca01-11eb-98e0-d8f04e7dfe42" width="50%" alt="Discord Link">
	</a>
</p>
<p align="center">
	<a href="https://discord.gg/NehYTAhsZE">
		<img src="https://img.shields.io/discord/857231041261076491?color=%235865F2&label=Discord" alt="Discord Link">
	</a>
	<a href="https://github.com/tcgdex/cards-database/issues">
		<img src="https://img.shields.io/github/issues/tcgdex/cards-database?style=flat-square&color=%2344CC11" alt="Issue count">
	</a>
	<a href="https://github.com/tcgdex/cards-database/stargazers">
		<img src="https://img.shields.io/github/stars/tcgdex/cards-database?style=flat-square" alt="Github stars">
	</a>
	<a href="https://github.com/tcgdex/compiler">
		<img src="https://img.shields.io/github/workflow/status/tcgdex/cards-database/Compile?style=flat-square" alt="Compiler build passing" />
	</a>
	<!-- ALL-CONTRIBUTORS-BADGE:START - Do not remove or modify this section -->
<a href="#contributors-"><img src="https://img.shields.io/badge/all_contributors-3-orange.svg?style=flat-square" alt="All Contributors Badge" /></a>
<!-- ALL-CONTRIBUTORS-BADGE:END -->
</p>

# Pokemon TCGdex Cards Database

A Multilanguage Pokémon TCG Database with Cards Pictures and most of the informations contained on the cards.

## Translations

|             | English | French | German | Italian | Portuguese | Spanish |
|-------------|---------|--------|--------|---------|------------|---------|
| Cards       | 13869   | 9464   | 6133   | 6133    | 6133       | 6133    |
| Translated  | 100%    | 68%    | 44%    | 44%     | 44%        | 44%     |

_want to help translating? each object fields on cards that have at least en,fr,es,de,it,pt can have the others!,_
_Also we have another translation files located at `meta/translations`_

## Interact with the Database

_documentation available at https://www.tcgdex.net/docs_

- The easiest way to interact with the database is by using one of our SDKs _list below_.
- You can also direcly use the endpoints at `api.tcgdex.net`.
- You can build the API yourself by using our [compiler](https://github.com/tcgdex/compiler) or download the already [compiled database](https://github.com/tcgdex/distribution).

## SDKs / API Wrappers

We currently officially support theses SDKs

- [Javascript/Typescript SDK](https://github.com/tcgdex/javascript-sdk)
- [PHP SDK](https://github.com/tcgdex/php-sdk)

_If you have a SDK, start a [discussion](https://github.com/tcgdex/cards-database/discussions/new) to be added here_


## Join Us on Discord

You want to ask something or you just want to discuss anything from an idea/improvement about the API to why Furret should be in the next Pokken Tournament game...

Well you can join us on [Discord](https://discord.gg/NehYTAhsZE) !

## Project Architecture

- `/data`: Contains Cards Data architectured around `Series/Set/localId` folders
- `/meta`: Contains misc informations for the project (more details in the README.md in `/meta`)
- `/server`: The server that allow to communicate with the database

## Contributing

See [CONTRIBUTING.md](./CONTRIBUTING.md)

TL::DR
- Fork
- make your changes
- pull request

## Deprecation

As of February 2021, the v1 API is no longer supported.

## License

This database is not produced, endorsed, supported or affiliated with Nintendo or The Pokémon Company

The Database is licensed under the MIT License. A copy of the license is available in [LICENSE](./LICENSE)

## Contributors ✨

Thanks goes to these wonderful people ([emoji key](https://allcontributors.org/docs/en/emoji-key)):

<!-- ALL-CONTRIBUTORS-LIST:START - Do not remove or modify this section -->
<!-- prettier-ignore-start -->
<!-- markdownlint-disable -->
<table>
  <tr>
    <td align="center"><a href="https://www.avior.me/"><img src="https://avatars.githubusercontent.com/u/15822031?v=4?s=100" width="100px;" alt=""/><br /><sub><b>Avior</b></sub></a><br /><a href="https://github.com/tcgdex/cards-database/commits?author=Aviortheking" title="Code">💻</a> <a href="#data-Aviortheking" title="Data">🔣</a></td>
    <td align="center"><a href="https://github.com/JuneTwooo"><img src="https://avatars.githubusercontent.com/u/1458019?v=4?s=100" width="100px;" alt=""/><br /><sub><b>June</b></sub></a><br /><a href="https://github.com/tcgdex/cards-database/issues?q=author%3AJuneTwooo" title="Bug reports">🐛</a></td>
    <td align="center"><a href="https://github.com/Kevin-Adrea"><img src="https://avatars.githubusercontent.com/u/36231620?v=4?s=100" width="100px;" alt=""/><br /><sub><b>Kevin-Adrea</b></sub></a><br /><a href="https://github.com/tcgdex/cards-database/issues?q=author%3AKevin-Adrea" title="Bug reports">🐛</a></td>
  </tr>
</table>

<!-- markdownlint-restore -->
<!-- prettier-ignore-end -->

<!-- ALL-CONTRIBUTORS-LIST:END -->

This project follows the [all-contributors](https://github.com/all-contributors/all-contributors) specification. Contributions of any kind welcome!
